
# Class: SetSerializedProduct

A command that deserializes a product and loads it into the editor.

For details, you can refer to the [ISetSerializedProductConfig](../interfaces/isetserializedproductconfig.md).
```
{
  "type": "design-editor",
  "name": "editor",
  "params": {
    "initial": { ... },
    "setSerializedProduct": {
      "serializedProduct": "<serializedProduct>"
    }
  }
}
```

## Hierarchy

* [DesignEditorWidgetCommand](designeditorwidgetcommand.md)

  ↳ **SetSerializedProduct**

## Implements

* IDesignAtomsCommand

## Index

### Properties

* [Name](setserializedproduct.md#static-name)

### Accessors

* [name](setserializedproduct.md#name)

### Methods

* [execute](setserializedproduct.md#execute)

## Properties

### `Static` Name

▪ **Name**: *"setSerializedProduct"* = "setSerializedProduct"

## Accessors

###  name

• **get name**(): *string*

**Returns:** *string*

## Methods

###  execute

▸ **execute**(`params`: [ISetSerializedProductConfig](../interfaces/isetserializedproductconfig.md)): *Promise‹any›*

*Overrides [DesignEditorWidgetCommand](designeditorwidgetcommand.md).[execute](designeditorwidgetcommand.md#abstract-execute)*

Executes this command.

**Parameters:**

Name | Type | Description |
------ | ------ | ------ |
`params` | [ISetSerializedProductConfig](../interfaces/isetserializedproductconfig.md) | Parameters for the command.  |

**Returns:** *Promise‹any›*
